﻿using System;

namespace David.Academy.ProgrammingInCSharp.SelectionSort
{
	class Program
	{
		#region Сортиране по метода на пряката селекция

		static void Main(string[] args)
		{
			// Въвеждане дължината на масива
			Console.Write("n = ");
			int n = int.Parse(Console.ReadLine());

			int[] numbers = new int[n];

			// Въвеждане на числата в масива
			for (int i = 0; i < numbers.Length; i++)
			{
				Console.Write("numbers[{0}] = ", i);
				numbers[i] = int.Parse(Console.ReadLine());
			}

			// Сортиране по метода на пряката селекция
			for (int i = 0; i < numbers.Length - 1; i++)
			{
				int minIndex = i;
				for (int j = i + 1; j < numbers.Length; j++)
				{
					if (numbers[j] < numbers[minIndex])
						minIndex = j;
				}
				if (minIndex != i)
				{
					int temp = numbers[i];
					numbers[i] = numbers[minIndex];
					numbers[minIndex] = temp;
				}

				// Извеждане на състовнието на масива след текущата стъпка
				Console.Write("[ ");
				foreach (int number in numbers)
				{
					Console.Write("{0}, ", number);
				}
				Console.WriteLine("]");
			}

			Console.ReadLine();
		}

		#endregion

		#region Сравняване бързодействието на сортиране по метода на пряката селекция и по метода на мехурчето

		//static void Main(string[] args)
		//{
		//	// Въвеждане на дължината на масива
		//	Console.Write("n = ");
		//	int n = int.Parse(Console.ReadLine());

		//	// Генериране на масив от случайни числа с посочената дължина
		//	int[] numbers = new int[n];
		//	Random random = new Random();
		//	for (int i = 0; i < numbers.Length; i++)
		//	{
		//		numbers[i] = random.Next();
		//	}

		//	// Копиране на масива в друг масив (за втория алгоритъм за сортиране)
		//	int[] numbers2 = new int[n];
		//	Array.Copy(numbers, numbers2, n);

		//	// Сортиране на първия масив по метода на пряката селекция и извеждане на изтеклото време
		//	Stopwatch watch = Stopwatch.StartNew();

		//	for (int i = 0; i < numbers.Length - 1; i++)
		//	{
		//		int minIndex = i;
		//		for (int j = i + 1; j < numbers.Length; j++)
		//		{
		//			if (numbers[j] < numbers[minIndex])
		//				minIndex = j;
		//		}
		//		if (minIndex != i)
		//		{
		//			int temp = numbers[i];
		//			numbers[i] = numbers[minIndex];
		//			numbers[minIndex] = temp;
		//		}
		//	}

		//	watch.Stop();
		//	Console.WriteLine("Selection sort elapsed time: {0}ms", watch.Elapsed.TotalMilliseconds);

		//	// Сортиране на втория масив по метода на мехурчето и извеждане на изтеклото време
		//	Stopwatch watch2 = Stopwatch.StartNew();

		//	for (int i = 0; i < numbers2.Length - 1; i++)
		//	{
		//		for (int j = 0; j < numbers2.Length - i - 1; j++)
		//		{
		//			if (numbers2[j] > numbers2[j + 1])
		//			{
		//				int temp = numbers[j];
		//				numbers[j] = numbers[j + 1];
		//				numbers[j + 1] = temp;
		//			}
		//		}
		//	}

		//	watch2.Stop();
		//	Console.WriteLine("Bubble sort elapsed time: {0}ms", watch2.Elapsed.TotalMilliseconds);

		//	Console.ReadLine();
		//}

		#endregion
	}
}
