﻿using System;

namespace David.Academy.ProgrammingInCSharp.MultidimensionalArrays
{
	class Program
	{
		static void Main(string[] args)
		{
			// Деклариране и инстанциране на двумерен масив
			char[,] ticTacToe = new char[,]
			{
				{ ' ', ' ', ' ', },
				{ ' ', ' ', ' ', },
				{ ' ', ' ', ' ', },
			};

			// Достъпване на елементите на двумерен масив
			ticTacToe[1, 1] = 'X';
			ticTacToe[0, 0] = 'O';
			ticTacToe[2, 1] = 'X';

			//Console.WriteLine("{0} {1} {2}", ticTacToe[0, 0], ticTacToe[0, 1], ticTacToe[0, 2]);
			//Console.WriteLine("{0} {1} {2}", ticTacToe[1, 0], ticTacToe[1, 1], ticTacToe[1, 2]);
			//Console.WriteLine("{0} {1} {2}", ticTacToe[2, 0], ticTacToe[2, 1], ticTacToe[2, 2]);

			// Достъпване на дължините на измеренията на двуемерен масив и общата му дължина
			Console.WriteLine(ticTacToe.Length);
			Console.WriteLine(ticTacToe.GetLength(0));
			Console.WriteLine(ticTacToe.GetLength(1));

			// Обхождане на елементите на двумерен масив
			for (int i = 0; i < ticTacToe.GetLength(0); i++)
			{
				for (int j = 0; j < ticTacToe.GetLength(1); j++)
				{
					Console.Write("{0} ", ticTacToe[i, j]);
				}
				Console.WriteLine();
			}

			Console.ReadLine();
		}
	}
}
