﻿using System;

namespace David.Academy.ProgrammingInCSharp.Classes
{
	/// <summary>
	/// Клас за потребителска информация. Извлича информацията автоматично при инстанцирането си
	/// </summary>
	class UserInfo
	{
		// Деклариране на полета с достъп само за четене
		public readonly DateTime ObtainedOn = DateTime.Now;
		public readonly string UserName = Environment.UserName;
		public readonly string MachineName = Environment.MachineName;
		public readonly string DomainName = Environment.UserDomainName;
	}
}
