﻿namespace David.Academy.ProgrammingInCSharp.Encapsulation
{
	/// <summary>
	/// Клас за произволна равнинна фигура
	/// </summary>
	class Shape2D
	{
		// Частно поле за съхраняване на лицето на фигурата
		private double _area;

		/// <summary>
		/// Защитен конструктор на фигурата с параметър: лице на фигурата
		/// </summary>
		/// <param name="area"></param>
		protected Shape2D(double area)
		{
			_area = area;
		}

		/// <summary>
		/// Връща лицето на фигурата
		/// </summary>
		/// <returns>Лице на фигурата</returns>
		public double GetArea()
		{
			return _area;
		}

		/// <summary>
		/// Защитен метод за промяна лицето на фигурата
		/// </summary>
		/// <param name="area">Ново лице на фигурата</param>
		protected void SetArea(double area)
		{
			_area = area;
		}
	}
}
