﻿using System;
namespace David.Academy.ProgrammingInCSharp.CSharpBasics
{
	class LiteralsVariablesAndConstants
	{
		static void Main(string[] args)
		{
			#region литерали

			Console.WriteLine("Целочислен тип (int):");
			Console.WriteLine(-5);
			Console.WriteLine("Целочислен тип без знак (unsigned int):");
			Console.WriteLine(5u);
			Console.WriteLine("Голямо число (long):");
			Console.WriteLine(-5000000000L);
			Console.WriteLine("Голямо число (unsigned long):");
			Console.WriteLine(5000000000ul);
			Console.WriteLine("Десетично число (float):");
			Console.WriteLine(5.5f);
			Console.WriteLine("Десетично число (double):");
			Console.WriteLine(5.5d);
			Console.WriteLine("Число с десетична точност (decimal):");
			Console.WriteLine(5.5m);
			Console.WriteLine("Булев тип (bool):");
			Console.WriteLine(true);
			Console.WriteLine(false);
			Console.WriteLine("Символен тип (char):");
			Console.WriteLine(' ');
			Console.WriteLine('\0');
			Console.WriteLine('\u2665');
			Console.WriteLine("Символен низ (string):");
			Console.WriteLine("Това е един прост символен низ.");
			Console.WriteLine("Този символен низ е малко \"по-прост\".");
			Console.WriteLine("I \u2665 \"Курс по програмиране на C#\"!");
			// следващите два реда правят на практика едно и също
			Console.WriteLine("Посетете:\n\t\"Курс по програмиране\"");
			Console.WriteLine(@"Посетете:
	""Курс по програмиране на C#""");

			#endregion

			#region Променливи

			// обявяване
			string courseName;
			// обявяване на няколко променливи
			string firstName, lastName;
			// присвояване на стойност
			courseName = "Програмиране на C#";
			// използване
			Console.WriteLine(courseName);
			// инициализация
			int duration = 5;

			#endregion

			#region Константи

			// обявяване
			const double Pi = 3.14159265359d;

			// използване
			Console.WriteLine(Pi);

			#endregion
		}
	}
}
