﻿using System;

namespace David.Academy.ProgrammingInCSharp.Loops
{
	class Program
	{
		#region Конструкция за цикъл с предусловие while - преобразуване от десетична в двоична бройна система

		static void Main(string[] args)
		{
			Console.Write("Input a positive integer: ");
			int i = int.Parse(Console.ReadLine());
			string binary = string.Empty;
			while (i > 0)
			{
				if (i % 2 == 0)
					binary = "0" + binary;
				else
					binary = "1" + binary;
				i /= 2;
			}
			Console.WriteLine(binary);
			Console.ReadLine();
		}

		#endregion

		#region Конструкция за цикъл с постусловие do...while - валидиране на въведени данни

		//static void Main(string[] args)
		//{
		//	string name;
		//	do
		//	{
		//		Console.WriteLine("What's your name?");
		//		name = Console.ReadLine();
		//	}
		//	while (name == string.Empty);

		//	Console.WriteLine("Hello, {0}! Nice to meet you!", name);
		//	Console.ReadLine();
		//}

		#endregion

		#region Конструкция за цикъл for - намиране на сбора на числата от 1 до n

		//static void Main(string[] args)
		//{
		//	Console.WriteLine("Input an integer:");
		//	int n = int.Parse(Console.ReadLine());
		//	int sum = 0;
		//	for (int i = 1; i <= n; i++)
		//	{
		//		if (i > 1)
		//			Console.Write(" + ");
		//		Console.Write(i);
		//		sum += i;
		//	}
		//	Console.WriteLine(" = {0}", sum);
		//	Console.ReadLine();
		//}

		#endregion

		#region Конструкция за цикъл foreach - преобразуване от двоична в десетична бройна система

		//static void Main(string[] args)
		//{
		//	Console.WriteLine("Input a binary integer:");
		//	string binary = Console.ReadLine();
		//	int number = 0;
		//	bool isValid = true;
		//	foreach (char c in binary)
		//	{
		//		if (c != '0' && c != '1')
		//		{
		//			isValid = false;
		//			break;
		//		}
		//		number = number * 2 + int.Parse(c.ToString());
		//	}
		//	if (isValid)
		//		Console.WriteLine(number);
		//	else
		//		Console.WriteLine("You did not input a valid binary integer.");
		//	Console.ReadLine();
		//}

		#endregion

		#region Управление на цикъл - отсяване на буквите 'a' и 'e' от символен низ

		//static void Main(string[] args)
		//{
		//	Console.Write("Input a word: ");
		//	string word = Console.ReadLine();
		//	foreach (char c in word)
		//	{
		//		if (c == 'a' || c == 'e')
		//			continue;

		//		Console.Write(c);
		//	}
		//	Console.ReadLine();
		//}

		#endregion

		#region Вложени конструкции за цикъл - таблица за умножение

		//static void Main(string[] args)
		//{
		//	// Антетка
		//	Console.Write("  |");
		//	for (int i = 1; i < 10; i++)
		//	{
		//		Console.Write("{0,3}", i);
		//	}
		//	Console.WriteLine();

		//	// Разделител
		//	Console.WriteLine("------------------------------");

		//	for (int i = 1; i < 10; i++)
		//	{
		//		// Заглашие на реда
		//		Console.Write("{0} |", i);

		//		// Полета
		//		for (int j = 1; j < 10; j++)
		//		{
		//			Console.Write("{0,3}", i * j);
		//		}
		//		Console.WriteLine();
		//	}
		//	Console.ReadLine();
		//}

		#endregion
	}
}
