﻿using System;

namespace David.Academy.ProgrammingInCSharp.Properties
{
	/// <summary>
	/// Клас за квадрат. Наследява класа Shape2D
	/// </summary>
	class Square : Shape2D
	{
		// Частно поле за съхраняване на дължината на страната на квадрата
		private double _side;

		/// <summary>
		/// Свойство за дължина на страната на квадрата
		/// </summary>
		public double Side
		{
			// Блок за прочитане на дължината на страната
			get { return _side; }
			// Блок за промяна на дължината на страната
			set
			{
				if (value > 0.0)
				{
					_side = value;
					Area = Math.Pow(value, 2);
				}
			}
		}
	}
}
