﻿using System;

namespace David.Academy.ProgrammingInCSharp.StaticMembers
{
	/// <summary>
	/// Главен клас на програмата
	/// </summary>
	class Program
	{
		/// <summary>
		/// Главна програма
		/// </summary>
		/// <param name="args">Аргументи от командния ред</param>
		static void Main(string[] args)
		{
			// Изпечатване на текст на конзолата, за да се демонстрира,
			// че статичният конструктор на класа Person не се изпълнява в началото на програмата,
			// а непосредствено преди първата употреба на класа
			Console.WriteLine("This text should appear first.");

			// Създаване на няколко екземпляра на класа Person
			Person me = new Person("Александър Далемски", "София");
			Person valery = new Person("Валери Дачев", "София");
			Person ivan = new Person("Иван Коев", "Казанлък");
			Person viki = new Person("Виктория Маркова", "Казанлък");

			// Изпечатване на поредните номера на създадените лица
			Console.WriteLine("{0}'s number is {1}.", me.Name, me.PersonNumber);
			Console.WriteLine("{0}'s number is {1}.", valery.Name, valery.PersonNumber);
			Console.WriteLine("{0}'s number is {1}.", ivan.Name, ivan.PersonNumber);
			Console.WriteLine("{0}'s number is {1}.", viki.Name, viki.PersonNumber);
			// Изпечатване на стойността на статичното свойство (или поле) Person.LastPersonNumber
			Console.WriteLine("The last person's number is {0}", Person.LastPersonNumber);

			// Въвеждане на ново лице от конзолата с помощта на метода Person.InputFromKeyboard()
			Person newPerson = Person.InputFromKeyboard();

			// Въвеждане на пореден номер на лице и проверка дали съответният номер е все
			// още свободен за разпределяне
			Console.Write("Input a person number: ");
			int personNumber = int.Parse(Console.ReadLine());
			Console.WriteLine("This person number is available: {0}",
				Person.IsPersonNumberAvailable(personNumber));

			Console.ReadLine();
		}
	}
}
