﻿using System;

namespace David.Academy.ProgrammingInCSharp.Attributes
{
	[AttributeUsage(AttributeTargets.Class | AttributeTargets.Property)]
	public class HtmlDescriptionAttribute : Attribute
	{
		public string Description { get; private set; }

		public HtmlDescriptionAttribute(string description)
		{
			Description = description;
		}
	}
}
